package com.elephant.framework.galaxy.aroad.module.zhjc.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhFghjdzb;
import com.elephant.framework.galaxy.aroad.response.R;
import com.elephant.framework.galaxy.aroad.module.common.annotation.SysLog;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhGhjdzb;
import com.elephant.framework.galaxy.aroad.module.zhjc.service.ZhjcGhjhGhjdzbService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import com.elephant.framework.galaxy.aroad.module.common.controller.BaseController;

import java.util.List;
import java.util.UUID;


/**
 * 智慧决策_规划计划_规划阶段坐标表
 *
 * @author wangjian
 * @date 2019-05-27 14:23:58
 */
@RestController
@AllArgsConstructor
@RequestMapping("/zhjc/ghjhghjdzb")
public class ZhjcGhjhGhjdzbController extends BaseController  {

  private final  ZhjcGhjhGhjdzbService zhjcGhjhGhjdzbService;

  /**
   * 分页查询
   * @param page 分页对象
   * @param zhjcGhjhGhjdzb 智慧决策_规划计划_规划阶段坐标表
   * @return
   */
  @GetMapping("/page")
  public R getZhjcGhjhGhjdzbPage(Page page, ZhjcGhjhGhjdzb zhjcGhjhGhjdzb) {
    return  new R<>(zhjcGhjhGhjdzbService.page(page,Wrappers.query(zhjcGhjhGhjdzb)));
  }


  /**
   * 通过id查询智慧决策_规划计划_规划阶段坐标表
   * @param id id
   * @return R
   */
  @GetMapping("/{id}")
  public R getById(@PathVariable("id") String id){
    return new R<>(zhjcGhjhGhjdzbService.getById(id));
  }

  /**
   * 新增智慧决策_规划计划_规划阶段坐标表
   * @return R
   */
  @SysLog("新增智慧决策_规划计划_规划阶段坐标表")
  @PostMapping("/add")
  public R save(@RequestBody List<ZhjcGhjhGhjdzb> zbList){
      boolean fp = true;
      if (zbList != null) {
        for (ZhjcGhjhGhjdzb new_zb : zbList) {
          fp = zhjcGhjhGhjdzbService.addGhjdzb(new_zb);
          if (!fp) {
            break;
          }
        }
      }
      return new R<>(fp);
    }


  /**
   * 修改智慧决策_规划计划_规划阶段坐标表
   * @return R
   */
  @SysLog("修改智慧决策_规划计划_规划阶段坐标表")
  @PostMapping("/update")
  public R updateById(@RequestBody ZhjcGhjhGhjdzb zhjcGhjhGhjdzb){
    return new R<>(zhjcGhjhGhjdzbService.update(zhjcGhjhGhjdzb,Wrappers.<ZhjcGhjhGhjdzb>query().lambda().eq(ZhjcGhjhGhjdzb::getXmid,zhjcGhjhGhjdzb.getXmid())));
  }

  /**
   * 通过id删除智慧决策_规划计划_规划阶段坐标表
   * @return R
   */
  @SysLog("删除智慧决策_规划计划_规划阶段坐标表")
  @PostMapping("/delete")
  public R removeById(@RequestBody ZhjcGhjhGhjdzb zhjcGhjhGhjdzb){
    return new R<>(zhjcGhjhGhjdzbService.remove(Wrappers.<ZhjcGhjhGhjdzb>query().lambda().eq(ZhjcGhjhGhjdzb::getXmid,zhjcGhjhGhjdzb.getXmid())));
  }
}
